- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# IO_Text.cpp File Reference

`#include <osgText/Text>`
`#include <osgText/Font>`
`#include <iostream>`
`#include <string>`
`#include <osg/Vec3>`
`#include <osg/Vec4>`
`#include <osgDB/Registry>`
`#include <osgDB/Input>`
`#include <osgDB/Output>`
`#include <osgDB/ParameterOutput>`

Include dependency graph for IO_Text.cpp:

## Functions
bool | Text_readLocalData (osg::Object &obj, osgDB::Input &fr)
bool | Text_writeLocalData (const osg::Object &obj, osgDB::Output &fw)
## Variables
osgDB::RegisterDotOsgWrapperProxy | Text_Proxy (new osgText::Text,"Text","Object Drawable Text", Text_readLocalData, Text_writeLocalData)

## Function Documentation

bool Text_readLocalData | ( | osg::Object & | obj,
|  | osgDB::Input & | fr
| ) |

bool Text_writeLocalData | ( | const osg::Object & | obj,
|  | osgDB::Output & | fw
| ) |

## Variable Documentation

osgDB::RegisterDotOsgWrapperProxy Text_Proxy(new osgText::Text,"Text","Object Drawable Text", Text_readLocalData, Text_writeLocalData)